Mail::SpamAssassin::RegistryBoundaries(3)

NAME
Mail::SpamAssassin::RegistryBoundaries - domain delegation rules

METHODS

($hostname, $domain) = split_domain ($fqdn)
    Cut a fully-qualified hostname into the hostname part and the domain part, splitting at the DNS registry boundary.

    Examples:

        "www.foo.com" => ( "www", "foo.com" )
        "www.foo.co.uk" => ( "www", "foo.co.uk" )

$domain = trim_domain($fqdn)
    Cut a fully-qualified hostname into the hostname part and the domain part, returning just the domain.

    Examples:

        "www.foo.com" => "foo.com"
        "www.foo.co.uk" => "foo.co.uk"

$ok = is_domain_valid($dom)
    Return 1 if the domain is valid, "undef" otherwise. A valid domain (a) does not contain whitespace, (b) contains at least one dot, and (c) uses a valid TLD or ccTLD.